
Conversion Tools - Bug #3360

method return type can have an optional EXTENT qualifier

10/19/2017 10:47 AM - Greg Shah

Status: Closed Start date: 10/19/2017

Priority: Normal Due date:  

Assignee: Greg Shah % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD version:  

Description

Related issues:

Related to Conversion Tools - Bug #3353: lexer num_literal should support hex... Closed

History

#1 - 10/19/2017 11:02 AM - Greg Shah

- % Done changed from 0 to 100

- Status changed from WIP to Test

- File 3353a_20171019a.patch added

As reported in https://proj.goldencode.com/boards/1/topics/23?r=141#message-141, the following code is valid:

METHOD PUBLIC CHARACTER EXTENT 8 getUserValueArray() :

 

The current parser in FWD v3.1 is missing the support for EXTENT used in this manner.  The attached patch should fix this issue.  Please apply it and

rebuild FWD.  Then retry parsing of that file.

The patch is being applied to branch 3353a (see revision 11187).

#2 - 10/19/2017 11:02 AM - Greg Shah

- Related to Bug #3353: lexer num_literal should support hexadecimal literals added

#3 - 10/30/2017 09:42 PM - Greg Shah

Branch 3353a was merged to trunk as revision 11187.  It will soon be available publicly as FWD v3.2.

#4 - 08/21/2018 01:07 PM - Greg Shah

- Status changed from Test to Closed

FWD v3.2.0 has been released. This issue is being closed accordingly.
https://proj.goldencode.com/boards/1/topics/23?r=141#message-141
https://proj.goldencode.com/projects/p2j/wiki/FWD_v3_2_0


Files

3353a_20171019a.patch 1.1 KB 10/19/2017 Greg Shah
